<?php
/**
* DBインスタンス作成タスク
*
* PHP version 5
*
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/
class DBInstanceCreateTask extends DatabaseTask implements ITask
{
	public $db_name;
	public $success;

	/*
	 *    コンストラクタ
	 */
	public function __construct()
	{
		parent::__construct();

		$this->success = FALSE;
	}

	/**
	 * イベントを処理する
	 */
	public function processEvent( IEvent $event, TaskSnapshot $snapshot )
	{

		// DataSourceを取得
		$ds = $this->getDataSource();

		// 接続
		$ds->connectDefault( FALSE );

		// DB名取得
		$db_name = $ds->getDatabaseName();

		// 文字セット取得
		$charset = $ds->getCharacterSet();

		// DB作成
		$this->createDatabase( $db_name, $charset );

		// 作成したDB名を保存
		$this->db_name = $db_name;

		$this->success = TRUE;

		return b(TRUE);
	}

}
